using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AIProofread.Model
{
    public enum CommonsenseDetectionType
    {
        All = 1,
        Paragraph = 2
    }

    public class CommonsenseDetectionItem
    {
        [JsonProperty("id")]
        public int Id { get; set; }
        [JsonProperty("type")]
        public CommonsenseDetectionType Type { get; set; }
        [JsonProperty("summary")]
        public string Summary { get; set; }

        [JsonProperty("location")]
        public string Location { get; set; }

        [JsonProperty("result_content")]
        public string ResultContent { get; set; }
    }
}
